Bug 178615 - Serial port initialization failure of internal USR 3CP5610 hardware modem
Serial port initialization failure of internal USR 3CP5610 hardware modem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 10:24 EST by Joachim Frieben
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 22:19:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "dmesg" for 2.6.15-1.1864_FC5smp kernel (15.02 KB, text/plain)
2006-01-22 10:27 EST, Joachim Frieben
no flags Details
Output of "lspci -vv" for 2.6.15-1.1864_FC5smp kernel (3.76 KB, text/plain)
2006-01-22 10:27 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2006-01-22 10:24:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Epiphany/1.9.5.1

Description of problem:
My internal PCI hardware modem USR 3CP5610 does not get initialized
for current kernels.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1864_FC5

How reproducible:
Always

Steps to Reproduce:
1. Launch "system-config-network".
2. Add new modem connection.
  

Actual Results:  No modem found.

Expected Results:  The modem should have been detected an set up properly.

Additional info:

The modem used to work for every Red Hat/Fedora version since
RHL 7.1. The device number changed from time to time: /dev/ttyS4,
/dev/ttyS14, etc. In "/var/log/dmesg", a related error message
appears:

  "Couldn't register serial port 0000:00:0f.0: -28"

The serial port gets routed to IRQ 153 as gets the on-board
Adaptec AIC-7880U SCSI controler chip. See outputs of "dmesg"
and "lscpi -vv" command attached to this report. Adding "noapic"
to the kernel options does not make a difference.
I checked the correct function of the hardware with a Linux
live CD which detected the modem and configured it at /dev/ttyS2.
Comment 1 Joachim Frieben 2006-01-22 10:27:01 EST
Created attachment 123542 [details]
Output of "dmesg" for 2.6.15-1.1864_FC5smp kernel
Comment 2 Joachim Frieben 2006-01-22 10:27:51 EST
Created attachment 123543 [details]
Output of "lspci -vv" for 2.6.15-1.1864_FC5smp kernel
Comment 3 Dave Jones 2006-01-24 00:17:55 EST
does todays kernel work for you ?
Comment 4 Joachim Frieben 2006-01-25 12:37:58 EST
Tried kernel 2.6.15-1.1871_FC5smp and works. Not too surprising given
the changelog entry:

* Sun Jan 22 2006 Dave Jones <davej@redhat.com>
- Make serial /dev nodes get created for pci modems again.

Thanks.
Comment 5 Dave Jones 2006-01-25 22:19:18 EST
cool, glad that worked :)

Note You need to log in before you can comment on or make changes to this bug.